.drawer{
    position: fixed;
    right: -$filter-width;
    top:0;
    overflow: hidden;
    width: $filter-width;
    background-color: #f5f5f5;
    z-index: 15;
    transition: top, right .3s;

    @include media-breakpoint-down(md){
        z-index: 5;
        width: $filter-width-md;
        right: -$filter-width-md;
    }

    &__scrollable{
        position: relative;
        width: calc(100% + 30px);
        overflow-y: scroll;
        height: 100vh;
        z-index: 2;
        background-color: #f5f5f5;

        /*---- calculate scrollbarwidth with js ----*/
        padding-right: 12px;
    }

    &__content{
        position: relative;
        padding: 32px 30px;

        @include media-breakpoint-down(md){
            padding-top: $header-height;
        }

        @include media-breakpoint-down(md){
            padding-top: $header-height-md; 
        }

        @include media-breakpoint-down(xs){
            padding-top: $header-height-xs;
        }
    }

    &.active{
        right: 0;
    }
}
.overlay{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,.4);
    z-index: 3;

    @include media-breakpoint-up(lg){
        display: none;
        z-index: -1;
    }
}